Create Installments Plan

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Yuno allows you to create installment plans to offer to your customers. These plans can be used based on factors such as the amount to pay, currency, and card used, as described below:

  • Filtered by Amount Range (mandatory): The system checks if the installment plan is suitable for the specific amount of your transaction. Only plans that can handle that amount are considered.
  • Card BIN: The system verifies if the BIN of your card matches those allowed for certain installment plans. If there's a match, that plan is considered.
  • Specific Currency: Only plans that work with the currency you are using are considered.
  • Plan Availability: The system checks if the installment plan is active. Only plans that have not expired and are available are considered.
📘

Defining the Plan ID

The plan_id is only necessary when applying a fixed installment plan that doesn't change during the purchase. If the installment.plan_id is not provided, the SDK will automatically search through all available installment plans associated with that account and select the one it considers most suitable. You should include the plan_id to ensure that a specific plan is applied.

📘

Merchants Installments

This endpoint is only required for Merchant installments integration. For Provider defined installments, we use the installment plan defined by your payment provider.

For merchant-created installments, you also have the possibility of specifying the plan for every checkout session by using the plan_id while creating the session. If you do not send it, we will use the installment plan that matches the conditions set for the checkout session.

Body Params
string
required

The installment plan name (MAX 255; MIN 3)

account_id
array of strings
required
Defaults to {{account_id}}

The unique identifier(s) of the account(s) that will have the installment plan (UUID; 36 chars).

account_id*
string
required

Identification of the installment plan (MAX 255; MIN 3)

installments_plan
array of objects
required

Definition of installments available for each scenario

installments_plan*
string

The issuer's country (ISO 3166-1 MAX 2; MIN 2)

brand
array of strings

Card’s brand information (MAX 255; MIN 3).

brand
string

Card issuer (MAX 255; MIN 3)

iin
array of strings

The issuer identification number (IIN) refers to the first few digits of a payment card number issued by a financial institution (MAX 8; MIN 6)

iin
int32

The amount of months to wait to debit the first installment (MAX: 3).

amount
object

The amounts that the installment plan will be available for. If null, available for any amount.

availability
object

The dates that the installment plan will be available for. If null then it does not have a finish date

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json